Subject: Re: bug#65470: 29.1.50; js-ts-mode: regex pattern can cause incorrect parenthesis matching

From: Jostein Kjønigsen <[email-masked]>
Date: Sat, 26 Aug 2023 11:22:39 +0200

> On 25 Aug 2023, at 20:28, Yuan Fu <[email-masked]> wrote:
> 
> 
> 
>>> On Aug 24, 2023, at 11:59 PM, Jostein Kjønigsen <[email-masked]> wrote:
>>> 
>>> 
>>> 
>>>> On 24 Aug 2023, at 21:47, Theodor Thornhill <[email-masked]> wrote:
>>> 
>>> Eli Zaretskii <[email-masked]> writes:
>>> 
>>>> 
>>>> Would someone please add syntax-propertize-function in modes that need
>>>> it?  I think this should be done on the emacs-29 branch.
>>>> 
>>>> TIA
>>> 
>>> I'll add it to my list, but if someone will grab it that's fine, as I'm
>>> a little short on time the next couple of weeks :-(
>>> 
>>> Theo
>> 
>> I’ve just been forced over to a Mac at work, and I can’t (yet) for the life of me figure out how to build Emacs from source on this platform. It seems Emacs is not picking up libraries I’ve installed using homebrew?
>> 
>> If anyone can help me get past this roadblock, I might be able to get a patch going. (It’s a ARM-based Mac, if that matters.)
> 
> It’s been quite a while since I needed to setup this, so I don’t quite remember. But setting LD_LIBRARY_PATH (Homebrew’s path) and PKG_CONFIG_PATH (/usr/local/lib/pkgconfig) should help the build process and Emacs find the libraries.
> 
> Yuan

I figured it out in the end. For anyone suffering a similar problem:

I had all packages I needed installed, but not pkg-config, leading configure not being able to locate any of them. 

Installing pkg-config too and running “make bootstrap” got me a working build. 

With that out of the way, I’ll see if I can come up with some patches for the typescript ts-modes sometime the next week. 

—
Jostein